=== debian/control ===
Source: ros-humble-rclc-parameter
Section: misc
Priority: optional
Maintainer: Antonio Cuadros <antoniocuadros@eprosima.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-cmake-pytest <!nocheck>, ros-humble-ament-cmake-ros, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-builtin-interfaces, ros-humble-example-interfaces <!nocheck>, ros-humble-osrf-testing-tools-cpp <!nocheck>, ros-humble-rcl, ros-humble-rcl-interfaces, ros-humble-rclc, ros-humble-rclcpp <!nocheck>, ros-humble-rcutils, ros-humble-rosidl-runtime-c, ros-humble-std-msgs <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rclc-parameter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-builtin-interfaces, ros-humble-rcl, ros-humble-rcl-interfaces, ros-humble-rclc, ros-humble-rcutils, ros-humble-rosidl-runtime-c, ros-humble-ros-workspace
Description: Parameter server implementation for micro-ROS nodes
